Bug 1636179 - [RFE] Add TripleO support for configuring cinder backend availability zones
Summary: [RFE] Add TripleO support for configuring cinder backend availability zones
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Alan Bishop
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On: 1688475
Blocks: 1700396
TreeView+ depends on / blocked
 
Reported: 2018-10-04 16:19 UTC by Alan Bishop
Modified: 2019-10-14 14:42 UTC (History)
12 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190509160423.4dac4dc.el8ost
Doc Type: Technology Preview
Doc Text:
With Red Hat OpenStack Platform director you can now configure different availability zones for Block Storage service (cinder) volume back ends. Director has a new parameter, CinderXXXAvailabilityZone, where XXX is associated with a specific back end.
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 608073 0 'None' MERGED Add ability to configure backend availability zones 2021-01-13 10:21:39 UTC
OpenStack gerrit 608074 0 'None' MERGED Add support for cinder backend availability zones 2021-01-13 10:21:39 UTC
OpenStack gerrit 608075 0 'None' MERGED Add parameters for cinder storage availability zones 2021-01-13 10:22:17 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:30 UTC

Description Alan Bishop 2018-10-04 16:19:23 UTC
The DCN/Edge architecture requires the ability to configure the cinder-volume service at each Edge site to be in its own availability zone. Cinder already supports this capability, and this RFE is to add TripleO support for configuring it.

Upstream blueprint: https://blueprints.launchpad.net/tripleo/+spec/split-controlplane-cinder-volume-az

Comment 4 Alan Bishop 2018-12-06 13:59:54 UTC
Upstream patches are all merged on stein.

Comment 18 Tzach Shefi 2019-07-17 16:44:15 UTC
Verified on:
openstack-tripleo-heat-templates-10.6.1-0.20190713150434.2871ce0.el8ost.noarch

Passed manual testing no bugs hit during verification.

Comment 24 errata-xmlrpc 2019-09-21 11:19:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.